package com.atguigu.order;

import com.atguigu.anno.EnableUserTokenFeignInterceptor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication
@EnableFeignClients(basePackages = {"com.atguigu.feign"})
@EnableUserTokenFeignInterceptor
@ComponentScan("com.atguigu")
@Slf4j
public class OrderApplication {
    public static void main(String[] args) {
        log.info("启动===>OrderApplication");
        SpringApplication.run(OrderApplication.class, args);
    }
}
