package com.atguigu.order.mapper;

import com.atguigu.spzx.model.entity.order.OrderInfo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface OrderInfoMapper {
    /**
     * 添加数据到order_info中
     *
     * @param orderInfo orderInfo
     */
    void save(OrderInfo orderInfo);

    /**
     * 获取订单信息
     *
     * @param orderId 订单Id
     * @return OrderInfo
     */
    OrderInfo getById(Long orderId);

    List<OrderInfo> findUserPage(Long userId, Integer orderStatus);

    /**
     * 获取订单信息
     *
     * @param orderNo 订单编号
     * @return 订单信息
     */
    OrderInfo getOrderInfoByOrderNo(String orderNo);

    /**
     * 更新订单状态
     *
     * @param orderInfo orderInfo
     */
    void updateById(OrderInfo orderInfo);

    /**
     * 根据订单ID获取
     *
     * @param orderNo 定点杆编号
     * @return OrderInfo
     */
    OrderInfo getByOrderNo(String orderNo);
}
