package com.atguigu.order.service;

import com.atguigu.spzx.model.dto.h5.OrderInfoDto;
import com.atguigu.spzx.model.entity.order.OrderInfo;
import com.atguigu.spzx.model.vo.h5.TradeVo;
import com.github.pagehelper.PageInfo;

public interface OrderInfoService {
    /**
     * 确认下单
     *
     * @return 结算实体类
     */
    TradeVo getTrade();

    /**
     * 提交订单
     *
     * @param orderInfoDto OrderInfoDto
     * @return Long
     */
    Long submitOrder(OrderInfoDto orderInfoDto);

    /**
     * 获取订单信息
     *
     * @param orderId 订单Id
     * @return OrderInfo
     */
    OrderInfo getOrderInfo(Long orderId);

    /**
     * 立即购买
     *
     * @param skuId 商品Id
     * @return 结算实体类
     */
    TradeVo buy(Long skuId);

    /**
     * 获取订单分页列表
     *
     * @param page        page
     * @param limit       limit
     * @param orderStatus orderStatus
     * @return PageInfo<OrderInfo>
     */
    PageInfo<OrderInfo> findUserPage(Integer page, Integer limit, Integer orderStatus);

    /**
     * 获取订单信息
     *
     * @param orderNo 订单好
     * @return OrderInfo
     */
    OrderInfo getByOrderNo(String orderNo);

    /**
     * 获取订单分页列表
     *
     * @param orderNo     orderNo
     * @param orderStatus orderStatus
     */
    void updateOrderStatus(String orderNo, Integer orderStatus);
}
