package com.atguigu.product.controller;

import com.atguigu.product.service.CategoryService;
import com.atguigu.product.service.ProductService;
import com.atguigu.spzx.model.entity.product.Category;
import com.atguigu.spzx.model.entity.product.ProductSku;
import com.atguigu.spzx.model.vo.h5.IndexVo;
import com.atguigu.spzx.model.vo.result.Result;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Tag(name = "首页接口管理")
@RestController
@RequestMapping("/api/product/index")
@Slf4j
public class IndexController {
    @Autowired
    private CategoryService categoryService;
    @Autowired
    private ProductService productService;

    @Operation(summary = "获取首页数据", description = "获取首页数据")
    @GetMapping
    public Result<IndexVo> findData() {
        log.info("===>获取首页数据");
        // 查询以及分类
        List<Category> categoryList = categoryService.selectOneCategory();
        // 根据销量排序，获取前十条数据
        List<ProductSku> productSkuList = productService.selectProductSkuBySale();
        IndexVo vo = IndexVo.builder().categoryList(categoryList).productSkuList(productSkuList).build();
        return Result.success(vo);
    }
}
