package com.atguigu.product.mapper;

import com.atguigu.spzx.model.dto.h5.ProductSkuDto;
import com.atguigu.spzx.model.entity.product.ProductSku;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ProductSkuMapper {
    /**
     * 根据销量排序，获取前十条数据
     *
     * @return ProductSku列表
     */
    List<ProductSku> selectProductSkuBySale();

    /**
     * 分页查询
     *
     * @param productSkuDto 商品列表搜索条件实体类
     * @return PageInfo<ProductSku>
     */
    List<ProductSku> findByPage(ProductSkuDto productSkuDto);

    /**
     * 当前sku信息
     *
     * @param skuId skuId
     * @return ProductSku
     */
    ProductSku getById(Long skuId);

    /**
     * 同一个商品下面的sku信息列表
     *
     * @param productId productId
     * @return List<ProductSku>
     */
    List<ProductSku> findByProductId(Long productId);

    /**
     * 更新商品sku销量
     *
     * @param skuId skuId
     * @param num   num
     */
    void updateSale(Long skuId, Integer num);
}
