package com.atguigu.product.service;

import com.atguigu.spzx.model.dto.h5.ProductSkuDto;
import com.atguigu.spzx.model.dto.product.SkuSaleDto;
import com.atguigu.spzx.model.entity.product.ProductSku;
import com.atguigu.spzx.model.vo.h5.ProductItemVo;
import com.github.pagehelper.PageInfo;

import java.util.List;

public interface ProductService {
    /**
     * 根据销量排序，获取前十条数据
     *
     * @return ProductSku 列表
     */
    List<ProductSku> selectProductSkuBySale();

    /**
     * 分页查询
     *
     * @param page          当前页
     * @param limit         分页每页多少
     * @param productSkuDto 商品列表搜索条件实体类
     * @return PageInfo<ProductSku>
     */
    PageInfo<ProductSku> findByPage(Integer page, Integer limit, ProductSkuDto productSkuDto);

    /**
     * 商品详情
     *
     * @param skuId skuId
     * @return ProductItemVo
     */
    ProductItemVo item(Long skuId);

    /**
     * 获取ProductSku
     *
     * @param skuId Id
     * @return 获取ProductSku
     */
    ProductSku getBySkuId(Long skuId);

    /**
     * 更新商品sku销量
     *
     * @param skuSaleDtoList skuSaleDtoList
     * @return Boolean
     */
    Boolean updateSkuSaleNum(List<SkuSaleDto> skuSaleDtoList);
}
