package com.atguigu.user.service;

import com.atguigu.spzx.model.dto.h5.UserLoginDto;
import com.atguigu.spzx.model.dto.h5.UserRegisterDto;
import com.atguigu.spzx.model.vo.h5.UserInfoVo;

public interface UserInfoService {
    /**
     * 会员注册
     *
     * @param userRegisterDto 注册对象
     */
    void register(UserRegisterDto userRegisterDto);

    /**
     * 会员登录
     *
     * @param userLoginDto 用户登录请求参数
     * @return 返回token
     */
    String login(UserLoginDto userLoginDto);

    /**
     * 获取当前登录用户信息
     *
     * @param token token
     * @return 用户信息
     */
    UserInfoVo getCurrentUserInfo(String token);
}
