package com.atguigu.user.service.impl;

import com.atguigu.constant.MessageConstant;
import com.atguigu.spzx.model.entity.user.UserInfo;
import com.atguigu.user.mapper.UserInfoMapper;
import com.atguigu.user.service.SmsService;
import com.atguigu.user.service.module.SmsServiceModule;
import com.atguigu.utils.EmptyUtil;
import org.apache.commons.lang3.RandomStringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;

import java.util.concurrent.TimeUnit;

@Service
public class SmsServiceImpl implements SmsService {
    @Autowired
    private RedisTemplate<String, Object> redisTemplate;
    @Autowired
    private UserInfoMapper userInfoMapper;
    @Autowired
    private EmptyUtil emptyUtil;

    /**
     * 发送短信
     *
     * @param phone 手机号
     */
    @Override
    public void sendValidateCode(String phone) throws Exception {
        Object isExist = redisTemplate.opsForValue().get(phone);
        UserInfo userInfo = userInfoMapper.selectByUsername(phone);
        emptyUtil.isNotEmpty(isExist, MessageConstant.MESSAGE_CODE_NOT_PASS);
        emptyUtil.isNotEmpty(userInfo, MessageConstant.USER_DOES_IS_EXIST);

        // 1. 生成验证码
        String code = RandomStringUtils.randomNumeric(4);
        // 2. 生成的验证码放到Redis中，设置过期时间
        redisTemplate.opsForValue().set(phone, code, 10, TimeUnit.MINUTES);
        // 3. 向手机发送短信
        SmsServiceModule.sendMessage(phone, code);
    }
}
